#
# FtpCube
# Copyright (C) 2002 Michael Gilfix
#
# This file is part of FtpCube.
#
# You should have received a file COPYING containing license terms
# along with this program; if not, write to Michael Gilfix
# (mgilfix@eecs.tufts.edu) for a copy.
#
# This version of FtpCube is open source; you can redistribute it and/or
# modify it under the terms listed in the file COPYING.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#

import sys

wx_failure = None
try:
	import wxPython
	del wxPython
except ImportError, strerror:
	wx_failure = strerror

if wx_failure is not None:
	sys.stderr.write (_("ftpcube - Compilation error: %(reason)s.\n")
	                    %{ 'reason' : wx_failure})
	sys.stderr.write (_("\tUnable to import the wxPython modules.\n"))
	sys.stderr.write (_("\tftpcube cannot run withou the wxPython modules installed.\n"))
	sys.stderr.write (_("\tFor more information on how to obtain these packages, visit:\n"))
	sys.stderr.write (_("\t\thttp://ftpcube.sourceforge.net\n"))
	sys.exit (1)

# Verify the existence of wxPyColourChooser
colour_failure = False
try:
	import wxPython.lib.colourchooser
except ImportError:
	try:
		import wxPyColourChooser
	except ImportError:
		colour_failure = True

if colour_failure:
	sys.stderr.write (_("ftpcube - Compilation error: Missing wxPyColourChooser module.\n"))
	sys.stderr.write (_("\tThis module is packaged with wxPython v2.4.x or is attainable\n"))
	sys.stderr.write (_("\tfrom: http://www.sourceforge.net/projects/wxcolourchooser.\n"))
	sys.exit (2)

# Bring in the public modules
import_failure = None
try:
	import main
except ImportError, strerror:
	import_failure = strerror

if import_failure is not None:
	sys.stderr.write (_("ftpcube - Compilation error: %(reason)s.\n")
	                    %{ 'reason' : import_failure})
	sys.stderr.write (_("\tCould not load critical module.\n"))
	sys.stderr.write (_("\tGiving up.\n"))

__all__ = [
	'aboutwin',
	'archiver',
	'bookmark',
	'bookmarkwin',
	'browser',
	'browsewin',
	'cache',
	'config',
	'connectwin',
	'consolewin',
	'ctrlwin',
	'defaults',
	'dialog',
	'dispatcher',
	'events',
	'ftp',
	'logger',
	'main',
	'mainwin',
	'messages',
	'optionwin',
	'protocol',
	'threads',
	'util',
]
