#
# FtpCube
# Copyright (C) 2002 Michael Gilfix
#
# This file is part of FtpCube.
#
# You should have received a file COPYING containing license terms
# along with this program; if not, write to Michael Gilfix
# (mgilfix@eecs.tufts.edu) for a copy.
#
# This version of FtpCube is open source; you can redistribute it and/or
# modify it under the terms listed in the file COPYING.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#

import main
import icons.ftpcube

import os.path
from wxPython.wx import *

class AboutWindow (wxDialog):

	def __init__ (self, parent):
		if __debug__:
			print "Making about window."

		wxDialog.__init__ (self, parent, -1, _("Ftpcube - About"))
		self.SetIcon (main.getApp ().getAppIcon ())

		# Create our own icon bitmap and our static text
		icon = icons.ftpcube.getBitmap ()
		bitmap = wxStaticBitmap (self, -1, icon)
		text = wxStaticText (self, -1, self.getAboutText (), style=wxALIGN_CENTRE)
		tsizer = wxBoxSizer (wxHORIZONTAL)
		tsizer.Add (20, 1)
		tsizer.Add (text, 1, wxEXPAND)
		tsizer.Add (20, 1)

		bsizer = wxBoxSizer (wxHORIZONTAL)
		bsizer.Add (20, 1, 1, wxEXPAND)
		bsizer.Add (bitmap, 0, wxEXPAND)
		bsizer.Add (20, 1, 1, wxEXPAND)

		line = wxStaticLine (self, -1)
		lsizer = wxBoxSizer (wxHORIZONTAL)
		lsizer.Add (20, 1)
		lsizer.Add (line, 1, wxEXPAND)
		lsizer.Add (20, 1)

		button = wxButton (self, wxID_OK, _("Ok"))
		button.SetDefault ()
		hsizer = wxBoxSizer (wxHORIZONTAL)
		hsizer.Add (20, 1, 1, wxEXPAND)
		hsizer.Add (button, 0, wxEXPAND)
		hsizer.Add (20, 1, 1, wxEXPAND)

		sizer = wxBoxSizer (wxVERTICAL)
		sizer.Add (10, 10)
		sizer.Add (tsizer, 1, wxEXPAND)
		sizer.Add (10, 10)
		sizer.Add (bsizer, 0, wxEXPAND)
		sizer.Add (10, 10)
		sizer.Add (lsizer, 0, wxEXPAND)
		sizer.Add (10, 20)
		sizer.Add (hsizer, 0, wxEXPAND)
		sizer.Add (10, 20)
		self.SetAutoLayout (true)
		self.SetSizer (sizer)
		sizer.Fit (self)
		sizer.SetSizeHints (self)

		self.Centre ()

	def getAboutText (self):
		return \
_("""FtpCube - A graphical FTP Client\n
FtpCube is a graphical ftp client written in Python using the wxPython graphical toolkit, and is based on LeechFTP by Jan Debis.
Feel free to visit the homepage at: http://ftpcube.sourceforge.net.\n
Michael Gilfix <mgilfix@eecs.tufts.edu>
Copyright (C) 2001-2003
Licensing: ARTISTIC""")
