#
# FtpCube
# Copyright (C) 2002 Michael Gilfix
#
# This file is part of FtpCube.
#
# You should have received a file COPYING containing license terms
# along with this program; if not, write to Michael Gilfix
# (mgilfix@eecs.tufts.edu) for a copy.
#
# This version of FtpCube is open source; you can redistribute it and/or
# modify it under the terms listed in the file COPYING.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#

from wxPython.wx import NULL

class ArchHandler:

	def __init__ (self, **kwargs):
		try:
			self.path = kwargs['path']
		except KeyError:
			self.path = None

		try:
			self.parent = kwargs['parent']
		except KeyError:
			self.parent = NULL

		try:
			self.intl = kwargs['intl']
		except KeyError:
			self.intl = lambda x: x

	def getPath (self):
		return self.path

	def setPath (self, path):
		self.path = path

	def getParent (self):
		return self.parent

	def setParent (self, parent):
		self.parent = parent

	def getIntl (self, x):
		return self.intl (x)

	def isValid (self):
		raise NotImplementedError, _("the isValid method must be implemented")

	def getDescription (self):
		raise NotImplementedError, _("the getDescription method must be implemented")

	def unpack (self, loc):
		raise NotImplementedError, _("the unpack method must be implemented")

