#
# FtpCube
# Copyright (C) 2002 Michael Gilfix
#
# This file is part of FtpCube.
#
# You should have received a file COPYING containing license terms
# along with this program; if not, write to Michael Gilfix
# (mgilfix@eecs.tufts.edu) for a copy.
#
# This version of FtpCube is open source; you can redistribute it and/or
# modify it under the terms listed in the file COPYING.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#

from wxPython.wx import *

class DialogWindow (wxDialog):

	def __init__ (self, parent, title):
		wxDialog.__init__ (self, parent, -1, title)

		self.dialog_panel = wxPanel (self, -1, style=wxSUNKEN_BORDER)

	def renderDialog (self):
		ok_button = wxButton (self, wxID_OK, _("Ok"))
		ok_button.SetDefault ()
		cancel_button = wxButton (self, wxID_CANCEL, _("Cancel"))
		bsizer = wxBoxSizer (wxHORIZONTAL)
		bsizer.Add (5, 5, 1, wxEXPAND)
		bsizer.Add (ok_button, 0, wxEXPAND)
		bsizer.Add (75, 5, 0, wxEXPAND)
		bsizer.Add (cancel_button, 0, wxEXPAND)
		bsizer.Add (5, 5, 1, wxEXPAND)

		sizer = wxBoxSizer (wxVERTICAL)
		sizer.Add (self.dialog_panel, 1, wxEXPAND)
		sizer.Add (15, 15, 0, wxEXPAND)
		sizer.Add (bsizer, 0, wxEXPAND)
		sizer.Add (15, 15, 0, wxEXPAND)
		self.SetAutoLayout (true)
		self.SetSizer (sizer)
		sizer.Fit (self)
		sizer.SetSizeHints (self)

		self.Centre ()

	def getDialogPanel (self):
		return self.dialog_panel
