#
# FtpCube
# Copyright (C) 2002 Michael Gilfix
#
# This file is part of FtpCube.
#
# You should have received a file COPYING containing license terms
# along with this program; if not, write to Michael Gilfix
# (mgilfix@eecs.tufts.edu) for a copy.
#
# This version of FtpCube is open source; you can redistribute it and/or
# modify it under the terms listed in the file COPYING.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#

import main

import os.path
from wxPython.wx import *

class MessageDialog (wxMessageDialog):
	pass

class InputBox (wxTextEntryDialog):
	pass

class FileDialog (wxFileDialog):
	pass

class DirDialog (wxDirDialog):
	pass

def displayErrorDialog (frame, msg):
	dialog = MessageDialog (frame, str (msg), _("Ftpcube Error"), wxOK | wxICON_ERROR)
	dialog.SetIcon (main.getApp ().getAppIcon ())
	dialog.ShowModal ()
	dialog.Destroy ()

def displayMessageDialog (frame, title, msg, style):
	dialog = MessageDialog (frame, str (msg), title, style)
	dialog.SetIcon (main.getApp ().getAppIcon ())
	ret = dialog.ShowModal ()
	dialog.Destroy ()
	return ret

def displayInputDialog (frame, title, msg):
	input_box = InputBox (frame, str (msg), title)
	input_box.SetIcon (main.getApp ().getAppIcon ())
	ret = input_box.ShowModal ()
	if ret == wxID_OK:
		return input_box.GetValue ()
	else:
		return None

def displayFileDialog (frame, title):
	dialog = FileDialog (frame, title, getStartPath (), '', style=wxFILE_MUST_EXIST)
	dialog.SetIcon (main.getApp ().getAppIcon ())
	ret = dialog.ShowModal ()
	if ret == wxID_OK:
		return dialog.GetPath ()
	else:
		return None

def displayDirDialog (frame, title):
	dialog = DirDialog (frame, title, getStartPath ())
	dialog.SetIcon (main.getApp ().getAppIcon ())
	ret = dialog.ShowModal ()
	if ret == wxID_OK:
		return dialog.GetPath ()
	else:
		return None

def getStartPath ():
	if os.environ.has_key ('HOME'):
		return os.environ['HOME']
	elif os.environ.has_key ('HOMEPATH'):
		return os.environ['HOMEPATH']
	else:
		return '.'
